//
// Camcreateable Invisibel targets for Operation Flashpoint V1.91+
// by Raptorsaurus (Based on InvTargets by Lester, but altered so that they are also invisible on the map in cadet mode).

// Use Lester's version for editor placed invisible targets that you do not mind showing up on the map during a mission.
// If you do not want the invisible targets to show on the map during a mission, then use this version with createVehicle
// or camCreate in a script. See RPT_InvTarg Instructions.rtf for more info.

class CfgPatches
{
	class RPT_InvTarg
	{
		units[]=
		{
			"RPT_InvTarg",
			"RPT_DeadMarker",
			"RPT_InvEMan",
			"RPT_InvWMan",
			"RPT_InvRMan",
			"RPT_InvCMan",
			"RPT_InvEArm",
			"RPT_InvWArm",
			"RPT_InvRArm",
			"RPT_InvCArm",
			"RPT_InvEAir",
			"RPT_InvWAir",
			"RPT_InvRAir",
			"RPT_InvCAir",
			"RPT_InvELas",
			"RPT_InvWLas",
			"RPT_InvRLas",
			"RPT_InvCLas",
			"RPT_DeadVeh",
			"RPT_mineBlower",
			"RPT_LOStest",
			"RPT_SnipTarg",
			"RPT_LOSseer"
		};
		weapons[]={};
		requiredVersion=1.91;
	};
};

class cfgAmmo
{
	class Default{};
	class BulletSingle : Default {};
	class BulletSilencedSingle : BulletSingle {};
	class RPT_TestBullet : BulletSilencedSingle
	{
		model="\RPT_InvTarg\testslug.p3d";
		hit = 0; indirectHit = 0; indirectHitRange = .25;
		minRange = .1; minRangeProbab = 1;
		midRange = 2.0; midRangeProbab = 1;
		maxRange = 2.5; maxRangeProbab = .5;
		visibleFire=0;
		audibleFire=0;
		visibleFireTime=0;
		tracerColor[] = {0,0,0,0};
		tracerColorR[] = {0,0,0,0};
		soundHit[] = {};
		hitGround[]={};
		hitMan[]={};
		hitArmor[]={};
		hitBuilding[]={};
		cartridge="";
		cost = 0;
		soundFly[] = {};
		sideAirFriction = 0;
	};
};

class CfgVehicles
{
	class All {};
	class Static : All {};
	class Building : Static {};
	class Strategic : Building {};
	class Target : Strategic {};
	class RPT_InvTarg: Target
	{
		scope=0;
		simulation="House";
		soundDammage[]={};
		destrType=DestructNo;
		icon = "\RPT_InvTarg\blank.paa";
		mapSize=.001;
		animated=0;
		accuracy=0;
		irtarget=0;
		lasertarget=0;
		Audible=99;
		camouflage=99;
		spotableNightLightsOff=1;
		spotableNightLightsOn=1;
		model="\RPT_InvTarg\invman.p3d";
		cost=999999999;
	};
	class RPT_DeadMarker: RPT_InvTarg
	{
		scope = 2;
		side = 3;
		threat[]={0,0,0}; 
		Audible=.01;
		camouflage=2;
		spotableNightLightsOff=.75;
		spotableNightLightsOn=.75;
		model="\RPT_InvTarg\deadman.p3d";
		cost=10;
	};
	class RPT_InvEMan: RPT_InvTarg
	{
		scope=2;
		side=0;
		threat[]={1,1,1};
	};
	class RPT_InvWMan: RPT_InvTarg
	{
		scope=2;
		side=1;
		threat[]={1,1,1};
	};
	class RPT_InvRMan: RPT_InvTarg
	{
		scope=2;
		side=2;
		threat[]={1,1,1};
	};
	class RPT_InvCMan: RPT_InvTarg
	{
		scope=2;
		side=3;
		threat[]={0,0,0};
	};
	class RPT_InvEArm: RPT_InvEMan
	{
		armor=500;
		irtarget=1;
		model="\RPT_InvTarg\invtarg.p3d";
	};
	class RPT_InvWArm: RPT_InvEArm
	{
		side=1;
	};
	class RPT_InvRArm: RPT_InvEArm
	{
		side=2;
	};
	class RPT_InvCArm: RPT_InvEArm
	{
		side=3;
	};
	class RPT_DeadVeh: RPT_InvCArm
	{
		Audible=.01;
		camouflage=6;
		spotableNightLightsOff=.75;
		spotableNightLightsOn=.75;
	};
	class RPT_SnipTarg: RPT_InvCMan
	{
		Audible=.05;
		camouflage=5;
		spotableNightLightsOff=.8;
		spotableNightLightsOn=.8;
	};
	class RPT_LOSTest: RPT_InvCMan
	{
		Audible=0;
	};
	class RPT_InvEAir: RPT_InvEArm {};
	class RPT_InvWAir: RPT_InvWArm {};
	class RPT_InvRAir: RPT_InvRArm {};
	class RPT_InvCAir: RPT_InvCArm {};
	class RPT_InvELas: RPT_InvEArm
	{
		lasertarget=1;
		irtarget=0;
	};
	class RPT_InvWLas: RPT_InvWArm
	{
		lasertarget=1;
		irtarget=0;
	};
	class RPT_InvRLas: RPT_InvRArm
	{
		lasertarget=1;
		irtarget=0;
	};
	class RPT_InvCLas: RPT_InvCArm
	{
		lasertarget=1;
		irtarget=0;
	};

	class AllVehicles: All {}; 
	class Land: AllVehicles {}; 
	class LandVehicle: Land {}; 
	class Tank: LandVehicle {};
	class APC: Tank {};
	class BMP: APC {};
	class BMPAmbul: BMP {};
	class RPT_mineBlower: BMPAmbul
	{
		model="\RPT_InvTarg\mineBlower.p3d";
		icon = "\RPT_InvTarg\blank.paa";
		mapSize=.001;
		soundEngine[]={};
   		soundEnviron[]={};
   		soundServo[]={};
   		soundDammage[]={};
   		soundGetOut[]={};
   		soundCrash[]={};
		soundLandCrash[]={};
   		soundWaterCrash[]={};
		nameSound="";
		destrType=DestructNo;	
	};
	
	class Man:Land{};
	class Civilian:Man{};
	class RPT_LOSseer:Civilian
	{
		model="\RPT_InvTarg\LOSseer.p3d";
		mapSize=.001;			
		displayName="RPT_LOSseer";
		picture = "";
		nameSound = "";
		weaponSlots = 2 * 4096;		//cannot have any weapons except for Binocular and NVgoggles
		weapons[] = {"Binocular","NVgoggles"};
		destrType=DestructNo;
		camouflage = 0;			//completely invisible
		audible = 0;			//completely inaudible
		visibleNightLightsOff = 1;	//good natural night vision
		visibleNightLightsOn = 1;
		sensitivity = 2;		//higher sensitivity than normal man
		class EventHandlers
		{
			init="[_this select 0] exec {\RPT_InvTarg\aquaman.sqs}"; // he will be able to go in water
		};
		soundEnviron[]={};		//makes no noise
		class SoundEnvironExt {};
		soundEngine[]={};
		additionalSound[]={};
		hitSounds[]={};
	};
};